commit:     22e3a7d141591198e4eb78fee56e451dda8ecddd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 18 03:34:21 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 18 03:43:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22e3a7d1

dev-python/oslo-utils: Bump to 7.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/oslo-utils/Manifest                |  1 +
 dev-python/oslo-utils/oslo-utils-7.0.0.ebuild | 57 +++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/oslo-utils/Manifest b/dev-python/oslo-utils/Manifest
index a2a8d00ded72..4dc2944f9bcb 100644
--- a/dev-python/oslo-utils/Manifest
+++ b/dev-python/oslo-utils/Manifest
@@ -1 +1,2 @@
 DIST oslo.utils-6.3.0.tar.gz 104397 BLAKE2B 
1195363df16e103f49d783c644bb060719fa3b43a549e229bd1c6b8f682e36b6135fb33284f536c08460892ae441c276d9e0445f30c6a5bc6d260b9a0f4bef40
 SHA512 
d7d1f160865238d4dd49dec891d275455befcee1926920f22409142bbab47fe3e287ad280a72f11baa99c49beaf1d0dc52745307888b8a3edda4cb9052443336
+DIST oslo.utils-7.0.0.tar.gz 103879 BLAKE2B 
d07af70592faac1821dc60f1ed0cd72fe948b1e105b515f18711b11152898fb2ab494d7eef2db965c43e961696b5f43eaca9d1c106f960d1ce91a9b5bb6ff924
 SHA512 
44202ec5de818b52b335026fdb24d1f771c24451422ad6b8328d4d14a4566b6c27b3cf04ba564d45686c9a4104ba1eec9a0874227498a707c5e9039b1d5c706c

diff --git a/dev-python/oslo-utils/oslo-utils-7.0.0.ebuild 
b/dev-python/oslo-utils/oslo-utils-7.0.0.ebuild
new file mode 100644
index 000000000000..2ec0e256f09e
--- /dev/null
+++ b/dev-python/oslo-utils/oslo-utils-7.0.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Oslo Utility library"
+HOMEPAGE="
+       https://opendev.org/openstack/oslo.utils/
+       https://github.com/openstack/oslo.utils/
+       https://pypi.org/project/oslo.utils/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/iso8601-0.1.11[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+       >=dev-python/pytz-2013.6[${PYTHON_USEDEP}]
+       >=dev-python/netaddr-0.7.18[${PYTHON_USEDEP}]
+       >=dev-python/netifaces-0.10.4[${PYTHON_USEDEP}]
+       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.13[${PYTHON_USEDEP}]
+       dev-python/tzdata[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/pbr-2.2.0[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+               >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+               >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+               >=dev-python/ddt-1.0.1[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+
+python_compile() {
+       distutils-r1_python_compile
+       find "${BUILD_DIR}"/install -name '*eventletutils*' -delete || die
+}
+
+python_test() {
+       cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+       eunittest
+}

Reply via email to